%global srcname keycloak-httpd-client-install
%global git_tag RELEASE_%(r=%{version}; echo $r | tr '.' '_')

Summary:        Tools to configure Apache HTTPD as Keycloak client
Name:           keycloak-httpd-client-install
Version:        1.1
Release:        5%{?dist}
License:        GPL-3.0-or-later
URL:            https://github.com/jdennis/keycloak-httpd-client-install
Source0:        %{url}/archive/%{git_tag}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  (python3-setuptools if python3-devel >= 3.12)
Requires:       %{_bindir}/keycloak-httpd-client-install

BuildArch:      noarch


%description
Keycloak is a federated Identity Provider (IdP) that supports
a variety of authentication protocols. Apache HTTPD supports
a variety of authentication modules which have the capability
of connecting to a Keycloak IdP instance to perform authentication.


%package -n python3-%{srcname}
Summary:        Tools to configure Apache HTTPD as Keycloak client
Requires:       %{name} = %{version}-%{release}
Requires:       python3-requests python3-requests-oauthlib python3-jinja2

%description -n python3-%{srcname}
Keycloak is an authentication server. This package contains libraries and
programs which can invoke the Keycloak REST API and configure clients
of a Keycloak server.


%prep
%autosetup -n %{srcname}-%{git_tag} -p1


%build
%py3_build


%install
%py3_install
install -d -m 755 %{buildroot}/%{_mandir}/man8
install -c -m 644 doc/keycloak-httpd-client-install.8 %{buildroot}/%{_mandir}/man8


%files
%license LICENSE.txt
%doc README.md doc/ChangeLog
%{_datadir}/%{srcname}/


%files -n python3-%{srcname}
%{python3_sitelib}/*
%{_bindir}/keycloak-httpd-client-install
%{_bindir}/keycloak-rest
%{_mandir}/man8/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Miaojun Dong <zoedong@tencent.com> - 1.1-1
- initial build
